opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Types | Protected Attributes | List of all members
CvCalibFilter Class Reference

`#include <legacy.hpp>`

## Public Member Functions
| CvCalibFilter ()
virtual void | DrawPoints (IplImage **dst)
virtual void | DrawPoints (CvMat **dst)
virtual bool | FindEtalon (IplImage **imgs)
virtual bool | FindEtalon (CvMat **imgs)
int | GetCameraCount () const
virtual const CvCamera * | GetCameraParams (int idx=0) const
virtual CvCalibEtalonType | GetEtalon (int *paramCount=0, const double **etalonParams=0, int *pointCount=0, const CvPoint2D32f **etalonPoints=0) const
virtual int | GetFrameCount (int *framesTotal=0) const
virtual bool | GetLatestPoints (int idx, CvPoint2D32f **pts, int *count, bool *found)
virtual const CvStereoCamera * | GetStereoParams () const
bool | IsCalibrated () const
virtual bool | LoadCameraParams (const char *filename)
virtual bool | Push (const CvPoint2D32f **points=0)
virtual bool | Rectify (IplImage **srcarr, IplImage **dstarr)
virtual bool | Rectify (CvMat **srcarr, CvMat **dstarr)
virtual bool | SaveCameraParams (const char *filename)
virtual void | SetCameraCount (int cameraCount)
virtual bool | SetCameraParams (CvCamera *params)
virtual bool | SetEtalon (CvCalibEtalonType etalonType, double *etalonParams, int pointCount=0, CvPoint2D32f *points=0)
virtual bool | SetFrames (int totalFrames)
virtual void | Stop (bool calibrate=false)
virtual bool | Undistort (IplImage **src, IplImage **dst)
virtual bool | Undistort (CvMat **src, CvMat **dst)
virtual | ~CvCalibFilter ()

## Protected Types
enum | { MAX_CAMERAS = 3 }

## Protected Attributes
int | cameraCount
CvCamera | cameraParams [MAX_CAMERAS]
int | etalonParamCount
double * | etalonParams
int | etalonPointCount
CvPoint2D32f * | etalonPoints
CvCalibEtalonType | etalonType
int | framesAccepted
int | framesTotal
CvMat * | grayImg
CvSize | imgSize
bool | isCalibrated
int | latestCounts [MAX_CAMERAS]
CvPoint2D32f * | latestPoints [MAX_CAMERAS]
int | maxPoints
CvPoint2D32f * | points [MAX_CAMERAS]
CvMat * | rectMap [MAX_CAMERAS][2]
CvStereoCamera | stereo
CvMemStorage * | storage
CvMat * | tempImg
CvMat * | undistImg
CvMat * | undistMap [MAX_CAMERAS][2]

## Member Enumeration Documentation

anonymous enum
| protected

Enumerator:

  MAX_CAMERAS |

## Constructor & Destructor Documentation

CvCalibFilter::CvCalibFilter | ( |  | ) |

virtual CvCalibFilter::~CvCalibFilter | ( |  | ) |
| virtual

## Member Function Documentation

virtual void CvCalibFilter::DrawPoints | ( | IplImage ** | dst | ) |
| virtual

virtual void CvCalibFilter::DrawPoints | ( | CvMat ** | dst | ) |
| virtual

virtual bool CvCalibFilter::FindEtalon | ( | IplImage ** | imgs | ) |
| virtual

virtual bool CvCalibFilter::FindEtalon | ( | CvMat ** | imgs | ) |
| virtual

int CvCalibFilter::GetCameraCount | ( |  | ) | const
| inline

virtual const CvCamera* CvCalibFilter::GetCameraParams | ( | int | idx = `0` | ) | const
| virtual

virtual CvCalibEtalonType CvCalibFilter::GetEtalon | ( | int * | paramCount = `0`,
|  | const double ** | etalonParams = `0`,
|  | int * | pointCount = `0`,
|  | const CvPoint2D32f ** | etalonPoints = `0`
| ) |  | const
| virtual

virtual int CvCalibFilter::GetFrameCount | ( | int * | framesTotal = `0` | ) | const
| virtual

virtual bool CvCalibFilter::GetLatestPoints | ( | int | idx,
|  | CvPoint2D32f ** | pts,
|  | int * | count,
|  | bool * | found
| ) |  |
| virtual

virtual const CvStereoCamera* CvCalibFilter::GetStereoParams | ( |  | ) | const
| virtual

bool CvCalibFilter::IsCalibrated | ( |  | ) | const
| inline

virtual bool CvCalibFilter::LoadCameraParams | ( | const char * | filename | ) |
| virtual

virtual bool CvCalibFilter::Push | ( | const CvPoint2D32f ** | points = `0` | ) |
| virtual

virtual bool CvCalibFilter::Rectify | ( | IplImage ** | srcarr,
|  | IplImage ** | dstarr
| ) |  |
| virtual

virtual bool CvCalibFilter::Rectify | ( | CvMat ** | srcarr,
|  | CvMat ** | dstarr
| ) |  |
| virtual

virtual bool CvCalibFilter::SaveCameraParams | ( | const char * | filename | ) |
| virtual

virtual void CvCalibFilter::SetCameraCount | ( | int | cameraCount | ) |
| virtual

virtual bool CvCalibFilter::SetCameraParams | ( | CvCamera * | params | ) |
| virtual

virtual bool CvCalibFilter::SetEtalon | ( | CvCalibEtalonType | etalonType,
|  | double * | etalonParams,
|  | int | pointCount = `0`,
|  | CvPoint2D32f * | points = `0`
| ) |  |
| virtual

virtual bool CvCalibFilter::SetFrames | ( | int | totalFrames | ) |
| virtual

virtual void CvCalibFilter::Stop | ( | bool | calibrate = `false` | ) |
| virtual

virtual bool CvCalibFilter::Undistort | ( | IplImage ** | src,
|  | IplImage ** | dst
| ) |  |
| virtual

virtual bool CvCalibFilter::Undistort | ( | CvMat ** | src,
|  | CvMat ** | dst
| ) |  |
| virtual

## Member Data Documentation

int CvCalibFilter::cameraCount
| protected

CvCamera CvCalibFilter::cameraParams[MAX_CAMERAS]
| protected

int CvCalibFilter::etalonParamCount
| protected

double* CvCalibFilter::etalonParams
| protected

int CvCalibFilter::etalonPointCount
| protected

CvPoint2D32f* CvCalibFilter::etalonPoints
| protected

CvCalibEtalonType CvCalibFilter::etalonType
| protected

int CvCalibFilter::framesAccepted
| protected

int CvCalibFilter::framesTotal
| protected

CvMat* CvCalibFilter::grayImg
| protected

CvSize CvCalibFilter::imgSize
| protected

bool CvCalibFilter::isCalibrated
| protected

int CvCalibFilter::latestCounts[MAX_CAMERAS]
| protected

CvPoint2D32f* CvCalibFilter::latestPoints[MAX_CAMERAS]
| protected

int CvCalibFilter::maxPoints
| protected

CvPoint2D32f* CvCalibFilter::points[MAX_CAMERAS]
| protected

CvMat* CvCalibFilter::rectMap[MAX_CAMERAS][2]
| protected

CvStereoCamera CvCalibFilter::stereo
| protected

CvMemStorage* CvCalibFilter::storage
| protected

CvMat* CvCalibFilter::tempImg
| protected

CvMat* CvCalibFilter::undistImg
| protected

CvMat* CvCalibFilter::undistMap[MAX_CAMERAS][2]
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/legacy.hpp